
Katello - Bug #23992

Unable to use select action on content host (Manage Subscription)

06/18/2018 10:58 PM - Walden Raines

Status: Closed   

Priority: High   

Assignee: Walden Raines   

Category:    

Target version: Katello 3.7.1   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1590387 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/761
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1590387

Description of problem:

In content host filter when we search by subscription_id and select all the content hosts from the result and try to perform Manage

Subscription from select action drop-down, Error is thrown - " Field 'subscription_id' not recognized for searching!"

Steps to Reproduce:

1. Go to satellite web UI > Hosts > Content Host.

2. In search filter type "subscription_id = X"

3. From the results select all the hosts.

4. Click on Select action > Manage Subscription

5. Pop-up will show an error Field 'subscription_id' not recognized for searching!

Actual results:

Error - Field 'subscription_id' not recognized for searching!

Expected results:

Should able to manage the subscriptions of the content host.

Attached screenshot of the issue with the bug.

Associated revisions

Revision 7a355320 - 08/09/2018 04:49 PM - Walden Raines

Fixes #23992: fix error on CH subscriptions modal.

Fix the search error on the content host subscriptions modal by

delaying the loading of the nutupane until the search key is set.

http://projects.theforeman.org/issues/23992

History

#1 - 06/20/2018 05:36 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#2 - 07/11/2018 06:16 PM - Justin Sherrill

- Target version changed from Katello 3.7.0 to Katello 3.7.1

- Triaged set to No

#3 - 08/08/2018 04:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Walden Raines

- Pull request https://github.com/Katello/katello/pull/7611 added
#4 - 08/09/2018 05:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

Applied in changeset katello|7a3553208ece870f213bac05725f576d27e8c6a5.
